freeslot(
	'mt_cannonblast',
	'mt_milescrawla',
	'mt_wrench',
	'spr_blst',	
	'spr_gpos',	
	'spr_wrch',	
	's_cannonblast',
	's_milescrawla1',
	's_milescrawla2',
	's_milescrawla3',
	's_wrench1',
	's_wrench2',
	's_wrench3',
	's_wrench4'	
)

mobjinfo[MT_CANNONBLAST].name = "cannon blast"
mobjinfo[MT_MILESCRAWLA].name = "miles crawla"
mobjinfo[MT_WRENCH].name = "wrench"
mobjinfo[MT_DUMMYBOMB1].name = "dummy ring bomb"
mobjinfo[MT_DUMMYBOMB2].name = "dummy ring bomb"

mobjinfo[MT_CANNONBLAST] = {
	spawnstate = S_CANNONBLAST,
	speed = 35*FRACUNIT,
	radius = 8*FRACUNIT,
	height = 16*FRACUNIT,
	mass = 0,
	damage = 0,
	flags = MF_MISSILE|MF_NOGRAVITY
}
mobjinfo[MT_WRENCH] = {
	spawnstate = S_WRENCH1,
	speed = 35*FRACUNIT,
	radius = 6*FRACUNIT,
	height = 10*FRACUNIT,
	mass = 0,
	damage = 0,
	flags = MF_MISSILE
}
mobjinfo[MT_MILESCRAWLA] = {
	spawnstate = S_MILESCRAWLA1,
	deathstate = S_BUMBLEBORE_DIE,
	spawnhealth = 1,
	deathsound = sfx_pop,
	speed = 10*FRACUNIT,
	radius = 8*FRACUNIT,
	height = 16*FRACUNIT,
	mass = 0,
	damage = 0,	
	flags = MF_MISSILE
}
states[S_CANNONBLAST] = {
	sprite = SPR_BLST,
	frame = A,
	tics = 1,
	nextstate = S_CANNONBLAST
}
states[S_MILESCRAWLA1] = {
	sprite = SPR_GPOS,
	frame = A,
	tics = 1,
	nextstate = S_MILESCRAWLA2
}
states[S_MILESCRAWLA2] = {
	sprite = SPR_GPOS,
	frame = B,
	tics = 1,
	nextstate = S_MILESCRAWLA3
}
states[S_MILESCRAWLA3] = {
	sprite = SPR_GPOS,
	frame = C,
	tics = 1,
	nextstate = S_MILESCRAWLA1
}
states[S_WRENCH1] = {
	sprite = SPR_WRCH,
	frame = A,
	tics = 1,
	nextstate = S_WRENCH2
}
states[S_WRENCH2] = {
	sprite = SPR_WRCH,
	frame = B,
	tics = 1,
	nextstate = S_WRENCH3
}
states[S_WRENCH3] = {
	sprite = SPR_WRCH,
	frame = C,
	tics = 1,
	nextstate = S_WRENCH4
}
states[S_WRENCH4] = {
	sprite = SPR_WRCH,
	frame = D,
	tics = 1,
	nextstate = S_WRENCH1
}